Bug 22979 - Remove type attribute from script tags: Authorities
Summary: Remove type attribute from script tags: Authorities
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 22956
  Show dependency treegraph
 
Reported: 2019-05-23 15:49 UTC by Owen Leonard
Modified: 2019-05-30 10:40 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22979: Remove type attribute from script tags: Authorities (4.75 KB, patch)
2019-05-23 17:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22979: Remove type attribute from script tags: Authorities (4.85 KB, patch)
2019-05-23 23:27 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22979: Remove type attribute from script tags: Authorities (4.95 KB, patch)
2019-05-27 20:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-23 15:49:41 UTC
This patch will remove the obsolete "type" attribute from <script> tags in the following authorities templates:

 - intranet-tmpl\prog\en\modules\authorities\auth_finder.tt
 - intranet-tmpl\prog\en\modules\authorities\authorities.tt
 - intranet-tmpl\prog\en\modules\authorities\blinddetail-biblio-search.tt
 - intranet-tmpl\prog\en\modules\authorities\detail.tt
 - intranet-tmpl\prog\en\modules\authorities\searchresultlist-auth.tt
Comment 1 Owen Leonard 2019-05-23 17:45:51 UTC Comment hidden (obsolete)
Comment 2 Hayley Mapley 2019-05-23 23:27:53 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-05-27 20:52:22 UTC
Created attachment 90126 [details] [review]
Bug 22979: Remove type attribute from script tags: Authorities

This patch removes the "type" attribute from <script> tags in several
authorities templates. Also removed: Obsolete "//<![CDATA[ //]]>"
markers.

To test, apply the patch and confirm that examples of affected pages
work properly without any JavaScript errors in the browser console:

 - Authorities -> Search -> View authority record
 - Authorities -> Search -> Edit authority record
 - Cataloging -> New record
   - Trigger the authority search form by clicking the plugin link next
     to a tag which has been linked to an authority type (e.g. 100a ->
     Personal name).
   - Search for an authority record.
   - Select an authority record.

Validating the HTML source of any of these pages should return no errors
related to the "type" attribute.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=22797
Comment 4 Nick Clemens 2019-05-30 10:40:07 UTC
Awesome work all!

Pushed to master for 19.05